cxf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Antoine CHAMBILLE (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CXF-4685) Outdated JAXB dependencies in cxf-bundle-minimal
Date Fri, 07 Dec 2012 14:53:21 GMT

    [ https://issues.apache.org/jira/browse/CXF-4685?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13526421#comment-13526421
] 

Antoine CHAMBILLE commented on CXF-4685:
----------------------------------------

Thank you for the rapid feedback.

So since release 2.7.0 _cxf-bundle-minimal_ more or less aligns its JAXB dependencies on those
of the JDK6. (While that was not the case in previous release 2.6.3.).

Alright when we import cxf-bundle-minimal in our (JDK7) maven projects we can exclude the
JAXB dependencies and force our own.

Or is there another cxf bundle that we can depend on in order to inherit from 2.2.x JAXB dependencies?

                
> Outdated JAXB dependencies in cxf-bundle-minimal
> ------------------------------------------------
>
>                 Key: CXF-4685
>                 URL: https://issues.apache.org/jira/browse/CXF-4685
>             Project: CXF
>          Issue Type: Bug
>          Components: JAXB Databinding
>    Affects Versions: 2.7.0
>            Reporter: Antoine CHAMBILLE
>            Assignee: Daniel Kulp
>             Fix For: Invalid
>
>
> As of release 2.7.0 cxf-bundle-minimal declares the following JAXB dependencies:
> * jaxb-xjc-2.1.13
> * jaxb-impl-2.1.13 (useless, already comes with jaxb-xjc)
> That is quite a step backward from release 2.6.3:
> * jaxb-xjc-2.2.5
> * jaxb-impl-2.2.5 (useless, already comes with jaxb-xjc)
> * jaxb-api-2.2.6 (useless, already comes with jaxb-impl) 

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message